<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="8" infoRejectCounter="40">
  <summary>
    <timer wall="7" cpu="6.87824" calls="1"/>
    <!-- memory in MB-->
    <memory final="176.43" peak="178.44"/>
  </summary>
  <header id="">
    <environment started="2017-Nov-30 18:03:49" host="eamc061"/>
    <progOpts problem="no_elem_cache" parameterFile="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/no_elem_cache/no_elem_cache.xml" schemaPath="/home/fwein/code/cfs/share/xml" meshFile="" logConfFile="" detailed="no" openmp="compiled without">
      <cfs version="17.11" name="AMGme" build="Debug" svn_revision="16105 modified" svn_branch="Fabian_Wein_TopOpt_0415" exe="cfs"/>
    </progOpts>
    <domain nx="20" ny="13" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <grids>
        <grid gridId="default" dimensions="2" elements="260" nodes="294"/>
      </grids>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="294" elems="260" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="21"/>
        <nodes name="north" count="21"/>
        <nodes name="west" count="14"/>
        <nodes name="east" count="14"/>
        <nodes name="left_lower" count="1" coord="(0,0)"/>
        <nodes name="right_lower" count="1" coord="(3,0)"/>
        <nodes name="left_upper" count="1" coord="(0,2)"/>
        <nodes name="right_upper" count="1" coord="(3,2)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="20" ny="13" nz="1" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" complex="no" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right_lower" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Alpha" value="0.05"/>
          <property name="Rayleigh_Beta" value="0.002"/>
          <property name="Rayleigh_Frequency" value="1000"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="560" totalNumFreeEqns="560" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="560" lastFreeEqn="560" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="560" lastFreeIndex="560"/>
          </sbmBlocks>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="560" totalNumCols="560" totalNumNonZeros="9280" totalFillLevelPerCent="2.9592" totalMemory="0.070801">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="560" numCols="560" numNonZeros="9280" fillLevelPerCent="2.9592" memory="0.070801" upperBandWidth="541" lowerBandWidth="541" avgBandWidth="202" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall="0" cpu="0.037087" calls="21"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall="0" cpu="0.020266" calls="21"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall="0" cpu="1.5e-05" calls="21"/>
              </setup>
              <precond>
                <timer wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="4" cpu="1.6816" calls="42"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/no_elem_cache/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="yes" filtered="yes" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0" regular="yes" localElementCache="disabled">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall="0" cpu="0" calls="0" sub="true"/>
        </gradient_chain_rule>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables optimizationVariables="260" modelVariables="260" modelElements="260">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <regions>
          <region name="mech" elements="260" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="1.5" contribution="linear" design="allDesigns" avg_radius="0.23077" avg_neighbors="7.2538">
          <timer wall="0" cpu="0.034842" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <optimalityCondition/>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <optimalityCondition>
          <timer wall="0" cpu="1.3556" calls="321"/>
        </optimalityCondition>
      </summary>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall="0" cpu="0.005417" calls="21"/>
      </eval_objective>
      <eval_constraints>
        <timer wall="0" cpu="2.03237" calls="300"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall="2" cpu="0.802786" calls="21"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall="0" cpu="0.142877" calls="21"/>
      </eval_grad_constraints>
      <break converged="no">
        <reason msg="Maximum iterations exceeded"/>
      </break>
    </summary>
    <process>
      <iteration number="0" duration="0" compliance="171.75" volume="0.5" lambda="0" lambda_iters="0" lower="0" upper="0"/>
      <iteration number="1" duration="1" compliance="110.5" volume="0.5" lambda="663.54" lambda_iters="22" lower="663.54" upper="663.57"/>
      <iteration number="2" duration="0" compliance="81.369" volume="0.5" lambda="558.51" lambda_iters="18" lower="558.51" upper="558.51"/>
      <iteration number="3" duration="0" compliance="68.111" volume="0.5" lambda="416.43" lambda_iters="17" lower="416.42" upper="416.43"/>
      <iteration number="4" duration="1" compliance="61.522" volume="0.5" lambda="336.76" lambda_iters="18" lower="336.75" upper="336.76"/>
      <iteration number="5" duration="0" compliance="56.477" volume="0.5" lambda="285.81" lambda_iters="14" lower="285.81" upper="285.84"/>
      <iteration number="6" duration="0" compliance="53.353" volume="0.5" lambda="242.45" lambda_iters="12" lower="242.45" upper="242.55"/>
      <iteration number="7" duration="1" compliance="51.248" volume="0.5" lambda="214.18" lambda_iters="12" lower="214.09" upper="214.18"/>
      <iteration number="8" duration="0" compliance="49.754" volume="0.5" lambda="194.52" lambda_iters="16" lower="194.52" upper="194.53"/>
      <iteration number="9" duration="1" compliance="48.548" volume="0.5" lambda="179.48" lambda_iters="17" lower="179.48" upper="179.48"/>
      <iteration number="10" duration="0" compliance="47.497" volume="0.5" lambda="169.08" lambda_iters="16" lower="169.07" upper="169.08"/>
      <iteration number="11" duration="0" compliance="46.558" volume="0.5" lambda="162.2" lambda_iters="14" lower="162.2" upper="162.21"/>
      <iteration number="12" duration="1" compliance="45.752" volume="0.5" lambda="154.12" lambda_iters="14" lower="154.1" upper="154.12"/>
      <iteration number="13" duration="0" compliance="45.002" volume="0.5" lambda="149.55" lambda_iters="13" lower="149.55" upper="149.58"/>
      <iteration number="14" duration="0" compliance="44.312" volume="0.5" lambda="147.29" lambda_iters="16" lower="147.29" upper="147.29"/>
      <iteration number="15" duration="1" compliance="43.803" volume="0.5" lambda="142.73" lambda_iters="15" lower="142.73" upper="142.74"/>
      <iteration number="16" duration="0" compliance="43.485" volume="0.5" lambda="136.74" lambda_iters="14" lower="136.74" upper="136.75"/>
      <iteration number="17" duration="0" compliance="43.301" volume="0.5" lambda="131.64" lambda_iters="15" lower="131.63" upper="131.64"/>
      <iteration number="18" duration="1" compliance="43.184" volume="0.5" lambda="129.57" lambda_iters="13" lower="129.55" upper="129.57"/>
      <iteration number="19" duration="0" compliance="43.104" volume="0.5" lambda="128.41" lambda_iters="15" lower="128.41" upper="128.42"/>
      <iteration number="20" duration="0" compliance="43.048" volume="0.5" lambda="127.03" lambda_iters="9" lower="127.03" upper="127.41"/>
    </process>
  </optimization>
</cfsInfo>